# == Class: gnucash
#
# This module provides a class to install or remove GnuCash.
#
# === Parameters
#
# [*ensure*]
#   Ensure if present, installed, absent, purged, held, latest, or a specific
#   version.
#
#   Default: present
#
# === Examples
#
# To install GnuCash:
#
#   class { gnucash: ensure => 'present' }
#
# To remove GnuCash:
#
#  class { gnucash: ensure => 'absent' }
#
# === Copyright
#
# Copyright (C) 2013 Jeffrey Goettsch <jgoettsch@gmail.com>.
#
# This file is part of jgoettsch-gnucash.
#
# jgoettsch-gnucash is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# jgoettsch-gnucash is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with jgoettsch-gnucash.  If not, see <http://www.gnu.org/licenses/>.
#
class gnucash (
  $ensure = 'present',
) inherits gnucash::params {

  package { $package_name:
    ensure => $ensure,
  }
}
